Loading...
Searching...
No Matches
AVFilterPadParams Struct Reference
libavfilter

Parameters of a filter's input or output pad. More...

`#include <libavfilter/avfilter.h>`

## Data Fields

char * | label
| An av_malloc()'ed string containing the pad label.

## Detailed Description

Parameters of a filter's input or output pad.

Created as a child of AVFilterParams by avfilter_graph_segment_parse(). Freed in avfilter_graph_segment_free().

Definition at line 848 of file avfilter.h.

## Field Documentation

## label

char* AVFilterPadParams::label

An av_malloc()'ed string containing the pad label.

May be av_free()'d and set to NULL by the caller, in which case this pad will be treated as unlabeled for linking. May also be replaced by another av_malloc()'ed string.

Definition at line 856 of file avfilter.h.

The documentation for this struct was generated from the following file:

- libavfilter/avfilter.h